<div class="content site-list" {{did-insert this.updateFeatures}} {{did-update this.updateFeatures @feature}}>
  {{#if this.isLoading}}
    <div class="loading p-4">
      <div class="spinner-border spinner-border-sm" role="status">
        <span class="d-none visually-hidden">Loading...</span>
      </div>
    </div>
  {{else}}
    {{#each this.features as |feature|}}
      {{!-- template-lint-disable no-invalid-interactive --}}
      <div class="site-item-list" {{on "click" (fn this.select feature)}}>
        {{feature.name}}

        {{#if feature.icons}}
          <div class="icons pt-0">
            <Browse::Icon::List @icons={{feature.icons}} />
          </div>
        {{/if}}
      </div>
    {{/each}}
  {{/if}}

  {{#if this.pendingCount}}
    <div class="pending-label">
      {{t "feature-pending-count-message" count=this.pendingCount}}
    </div>
  {{/if}}

  {{#if this.isZoomVisible}}
    <button type="button" class="btn btn-light btn-zoom b-0 d-block w-100" {{on "click" this.zoomIn}}>
      <FaIcon @icon="plus" /> Zoom in
    </button>
  {{/if}}
</div>